Bug 238503 - devel/py-flake8: Add missing dependencies
Summary: devel/py-flake8: Add missing dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2019-06-11 19:25 UTC by John W. O'Brien
Modified: 2019-06-18 13:46 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)
koobs: merge-quarterly?


Attachments
devel/py-flake8: Add missing dependencies under older python (931 bytes, text/plain)
2019-06-11 19:25 UTC, John W. O'Brien
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2019-06-11 19:25:55 UTC
Created attachment 204992 [details]
devel/py-flake8: Add missing dependencies under older python

Changelog
=========

*   Add devel/py-functools32 DEPENDS for <3200
*   Add devel/py-typing DEPENDS for <3400
*   Pet portlint


QA
==

portlint: OK
poudriere: OK -- testport on 11.8-RELEASE amd64 w/py27, py35, py36 (default), and py37
Comment 1 John W. O'Brien 2019-06-11 19:27:44 UTC
This may be a candidate for MFH since the current quarterly branch still defaults to python 2.7.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-13 11:46:27 UTC
Thanks John, please set the merge-quarterly flag when you believe it is warranted.

In this case (and in most cases), the issue is not what the default version is, but whether the package supports the version for which the dependencies are being added. Any user can at anytime modify the default version, so builds for any and all supported Python versions should have correct and complete dependencies specified
Comment 3 commit-hook freebsd_committer 2019-06-18 12:40:55 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Jun 18 12:40:15 UTC 2019
New revision: 504481
URL: https://svnweb.freebsd.org/changeset/ports/504481

Log:
  - Add missing depend for ancient python versions

  PR:		238503
  Submitted by:	john@saltant.com
  MFH:		2019Q2

Changes:
  head/devel/py-flake8/Makefile
Comment 4 commit-hook freebsd_committer 2019-06-18 12:42:59 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Jun 18 12:42:06 UTC 2019
New revision: 504482
URL: https://svnweb.freebsd.org/changeset/ports/504482

Log:
  MFH: r504481

  - Add missing depend for ancient python versions

  PR:		238503
  Submitted by:	john@saltant.com
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/devel/py-flake8/Makefile